XtSetWMColormapWindows(3Xt)

NAME
XtSetWMColormapWindows - Set the value of the WM_COLORMAP_WINDOWS property

SYNTAX

void XtSetWMColormapWindows(Widget widget, Widget* list, Cardinal count);

ARGUMENTS

widget
    Specifies the widget on whose window the WM_COLORMAP_WINDOWS property will be stored. Must be of class Core or any subclass thereof.

list
    Specifies a list of widgets whose windoware are potentially to be listed in the WM_COLORMAP_WINDOWS property.

count
    Specifies the number of widgets in list.

DESCRIPTION
returns immediately if widget is not realized or if count is zero. Otherwise, constructs an ordered list of windows by examining each widget in list in turn and ignoring the widget if it is not realized, or adding the widget's window to the window list if the widget is realized and its colormap resource is different from the colormap resources of all widgets whose windows are already on the window list.

Finally, stores the resulting window list in the WM_COLORMAP_WINDOWS property on the specified widget's window.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface